package com.atlassian.bitbucket.internal.mirroring.mirror.webhook;

/**
 * Adapter for implementations of {@link WebHookEventVisitor}.
 */
public class AbstractWebHookEventVisitor<T> implements WebHookEventVisitor<T> {
    @Override
    public T accept(ProjectCreatedWebHookEvent event) {
        return null;
    }

    @Override
    public T accept(ProjectDeletedWebHookEvent event) {
        return null;
    }

    @Override
    public T accept(ProjectModifiedWebHookEvent event) {
        return null;
    }

    @Override
    public T accept(RepositoryCreatedWebHookEvent event) {
        return null;
    }

    @Override
    public T accept(RepositoryDeletedWebHookEvent event) {
        return null;
    }

    @Override
    public T accept(RepositoryModifiedWebHookEvent event) {
        return null;
    }

    @Override
    public T accept(RepositoryRefsChangedWebHookEvent event) {
        return null;
    }
}
